Subject: Re: cygiwn newline character
From: Wayne Willcox <[email-masked]>
To: hrishy <[email-masked]>
Cc: Corinna Vinschen <[email-masked]>
Date: Thu, 18 Oct 2001 11:38:11 -0500

Looks like a bug, seems that cygwin's echo does not correctly handle
the tab.  
If you double quote the whole string and then use a tab it should work.

echo "hello world tabkey hi there"

On Thu, Oct 18, 2001 at 10:22:58AM +0100, hrishy wrote:
> Hello all
> 
> i am running the following programme under windows 
> #!/bin/sh
> echo hello world '\t' hi there
> 
> i am getting the output as hello world '\t' hi there
> 
> wheras i require the output to be
> hello word      hi there
> 
> could anybody please help
> 
> regards
> Hrishy
> 
> ____________________________________________________________
> Nokia Game is on again. 
> Go to http://uk.yahoo.com/nokiagame/ and join the new
> all media adventure before November 3rd.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/